@echo off
set "_theisoname="
IF [%1]==[] (
  echo.
  echo.
  echo.     PLEASE, DRAG A GAME OVER THIS SCRIPT
  echo.
  echo.
  goto :thisistheend
)
echo.
echo.
echo.  GAME PROVIDED:
echo.
set "_theisoname=%~n1"
echo.  FILE = %~nx1
echo.  PATH = %~dp1
echo.
echo.FILE "%~nx1" BINARY > %_theisoname%.cue
echo.    TRACK 01 MODE2/2352 >> %_theisoname%.cue
echo.      INDEX 01 00:00:00 >> %_theisoname%.cue
echo. >> %_theisoname%.cue
echo.REM :: see: http://emulation.gametechwiki.com/index.php/Cue_sheet_%28.cue%29  >> %_theisoname%.cue
echo.REM :: see: http://redump.org/  >> %_theisoname%.cue
echo.REM :: see: https://ss64.com/nt/syntax-substring.html  >> %_theisoname%.cue
:thisistheend
TIMEOUT /T 10 /NOBREAK
EXIT /B